Skip to content

List and search custom fields

Request to list custom fields:

GET /api/v2/custom_fields.json

Example of response:

{
    "custom_fields": [
        {
            "field_id": "063e593e-5188-11ee-a855-0015172d2a7d",
            "tenant_id": null,
            "is_global": true,
            "name": "Call Summary",
            "computer_name": "call_summary",
            "description": null,
            "type": "string",
            "enable": true,
            "editable": true,
            "dashboard": false,
            "fieldset_text_value_settings": {
                "str_max_len": 1024,
                "display_as": "multiline"
            },
            "fieldset_display_settings": {
                "display_group": null,
                "display_order": null,
                "display_prefix": null,
                "display_suffix": null,
                "show_in_compact_view": false
            }
        },
        {
            "field_id": "9079d60a-5192-11ee-aa89-0015172d2a7d",
            "tenant_id": null,
            "is_global": true,
            "name": "Call type",
            "computer_name": "call_type",
            "description": null,
            "type": "option",
            "enable": true,
            "editable": true,
            "dashboard": false,
            "fieldset_dropdown_value_settings": {
                "use_tenant_options": false,
                "options": [
                    {"value": "Collection call", "color": ""},
                    {"value": "Sales call", "color": ""}
                ]
            },
            "fieldset_display_settings": {
                "display_group": null,
                "display_order": null,
                "display_prefix": null,
                "display_suffix": null,
                "show_in_compact_view": false
            }
        }
    ],
    "total": 2,
    "next_url": null
}

See Custom field attributes and Collections for paging.

Search custom fields

Parameter Description
search_term

Search by field name, and by tenant name in multi-tenant deployments. Partial match, case insensitive.

GET /api/v2/custom_fields.json?search_term=Call
tenant_id

Filter by tenant ID.

GET /api/v2/custom_fields.json?tenant_id=2bfcefd4-f41d-11e4-983d-e03f497dbdff

Example with several parameters:

GET /api/v2/custom_fields.json?tenant_id=2bfcefd4-f41d-11e4-983d-e03f497dbdff&search_term=Call

Response contains HTTP status code as shown in the following table.

Response Description
200 OK The list of custom fields is returned in the response body
403 Forbidden The request cannot be completed because API user has no permission to view custom fields
404 Not Found The tenant_id parameter is not a valid UUID